Bug 962042 - [abrt] fonts-tweak-tool-0.1.5-1.fc18: types.py:47:function:GError: No such fonts available: MingLiU
[abrt] fonts-tweak-tool-0.1.5-1.fc18: types.py:47:function:GError: No such fo...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fonts-tweak-tool (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
abrt_hash:e3d3082b2dde2ee5f4e522e72dd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-11 03:26 EDT by Symeon Huang
Modified: 2013-06-07 19:49 EDT (History)
5 users (show)

See Also:
Fixed In Version: fonts-tweak-tool-0.3.1-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-07 19:49:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (644 bytes, text/plain)
2013-05-11 03:26 EDT, Symeon Huang
no flags Details
File: core_backtrace (337 bytes, text/plain)
2013-05-11 03:26 EDT, Symeon Huang
no flags Details
File: environ (4.15 KB, text/plain)
2013-05-11 03:26 EDT, Symeon Huang
no flags Details
File: smolt_data (3.20 KB, text/plain)
2013-05-11 03:27 EDT, Symeon Huang
no flags Details

  None (edit)
Description Symeon Huang 2013-05-11 03:26:49 EDT
Version-Release number of selected component:
fonts-tweak-tool-0.1.5-1.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/fonts-tweak-tool
dso_list:       pygobject3-base-3.4.2-6.fc18.x86_64
executable:     /usr/bin/fonts-tweak-tool
kernel:         3.8.11-200.fc18.x86_64
uid:            1000
ureports_counter: 1

Truncated backtrace:
types.py:47:function:GError: No such fonts available: MingLiU

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/fontstweak/propui.py", line 135, in on_add_font_clicked
    iter = self.add_font(font)
  File "/usr/lib/python2.7/site-packages/fontstweak/propui.py", line 235, in add_font
    o.set_family(font)
  File "/usr/lib64/python2.7/site-packages/gi/types.py", line 47, in function
    return info.invoke(*args, **kwargs)
GError: No such fonts available: MingLiU

Local variables in innermost frame:
info: <gi.FunctionInfo object (set_family) at 0x0x2507998>
args: (<EzfcFont at 0x2b904c0>, 'MingLiU')
kwargs: {}
Comment 1 Symeon Huang 2013-05-11 03:26:53 EDT
Created attachment 746509 [details]
File: backtrace
Comment 2 Symeon Huang 2013-05-11 03:26:56 EDT
Created attachment 746510 [details]
File: core_backtrace
Comment 3 Symeon Huang 2013-05-11 03:26:58 EDT
Created attachment 746511 [details]
File: environ
Comment 4 Symeon Huang 2013-05-11 03:27:01 EDT
Created attachment 746512 [details]
File: smolt_data
Comment 5 Fedora Update System 2013-05-29 06:43:19 EDT
fonts-tweak-tool-0.3.1-1.fc18,libeasyfc-0.12.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fonts-tweak-tool-0.3.1-1.fc18,libeasyfc-0.12.1-1.fc18
Comment 6 Fedora Update System 2013-05-29 22:54:54 EDT
Package fonts-tweak-tool-0.3.1-1.fc18, libeasyfc-0.12.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fonts-tweak-tool-0.3.1-1.fc18 libeasyfc-0.12.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9597/fonts-tweak-tool-0.3.1-1.fc18,libeasyfc-0.12.1-1.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-06-07 19:49:52 EDT
fonts-tweak-tool-0.3.1-1.fc18, libeasyfc-0.12.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.